DeleteBackupStorage#

Description#

Request to delete a PaaS service backup storage.

Request Parameters#

  • storageId — The backup storage ID.

    • Type: String

    • Required: Yes

Response Elements#

If the request is successful, API returns the HTTP 200 response with an empty HTTP body.

Examples#

Managing PaaS services in K2 Cloud via API requires a customized version of the boto3 library:

import boto3

session = boto3.Session(
    aws_access_key_id="<AWS_ACCESS_KEY_ID>",
    aws_secret_access_key="<AWS_SECRET_ACCESS_KEY>",
    region_name="",
)

paas_client = session.client(
    'paas',
    endpoint_url='https://paas.ru-msk.k2.cloud/',
)

paas_client.delete_backup_storage(
    storageId="backup-storage-9F4E12AB",
)

Or c2-paas utility from K2 Cloud API Client software suite:

c2-paas DeleteBackupStorage storageId backup-storage-9F4E12AB